Module | EventMachine::Protocols::ObjectProtocol
In: | lib/em/protocols/object_protocol.rb

ObjectProtocol allows for easy communication using marshaled ruby objects

     module RubyServer
       include EM::P::ObjectProtocol

       def receive_object obj
         send_object({'you said' => obj})
       end
     end

### Methods

receive_object send_object

### Public Instance methods

receive_object(obj)

Invoked with ruby objects received over the network

send_object(obj)

Sends a ruby object over the network

[Validate]